OTBCLI_OGRLAYERCLASSIFIER(1)

NAME
otbcli_OGRLayerClassifier - OTB OGRLayerClassifier application

DESCRIPTION
This is the OGRLayerClassifier application, version 5.2.0 Classify an OGR layer based on a machine learning model and a list of features to consider.

Complete documentation: http://www.orfeo-toolbox.org/Applications/OGRLayerClassifier.html

  Parameters:

-progress <boolean>
    Report progress

 -inshp <string> Name of the input shapefile (mandatory)
 -instats <string> XML file containing mean and variance of each feature. (mandatory)
 -insvm <string> Input model filename. (mandatory)

-feat
    <string list> Features (mandatory, default value is )

-cfield
    <string> Field containing the predicted class. (mandatory, default value is predicted)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_OGRLayerClassifier -inshp vectorData.shp -instats meanVar.xml -insvm svmModel.svm -feat perimeter -cfield predicted

SEE ALSO
The full documentation for otbcli_OGRLayerClassifier is maintained as a Texinfo manual. If the info and otbcli_OGRLayerClassifier programs are properly installed at your site, the command

    info otbcli_OGRLayerClassifier

should give you access to the complete manual.